Skip to content
Start here

Move an instance to a different namespace.

PATCH/accounts/{account_id}/ai-search/namespaces/{namespace}/instances/{id}

Moves an instance from its current namespace to the specified target namespace. Use ‘default’ with —destination-namespace to move the instance back to the default namespace. Fails with 400 if the target namespace already has an instance with the same id (ids must be unique within a namespace — the same id can exist in different namespaces).

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Path ParametersExpand Collapse
account_id: string
namespace: string

Current namespace of the instance.

id: string

Instance id.

Body ParametersJSONExpand Collapse
new_namespace: string

Target namespace to move the instance into.

ReturnsExpand Collapse
result: unknown
success: true

Move an instance to a different namespace.

curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/ai-search/namespaces/$NAMESPACE/instances/$ID \
    -X PATCH \
    -H 'Content-Type: application/json' \
    -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN" \
    -d '{
          "new_namespace": "staging"
        }'
{
  "result": {},
  "success": true
}
Returns Examples
{
  "result": {},
  "success": true
}